Subject: Re: [bug#61420] [PATCH 00/31] Haskell upgrade to Stackage 20.5

From: zimoun <[email-masked]>
Date: Wed, 15 Feb 2023 10:20:44 +0100

Hi,

On Wed, 15 Feb 2023 at 09:45, Lars-Dominik Braun <[email-masked]> wrote:

>> However, python-pypandoc seems broken on wip-haskell but not in master.
>> Idem for ganeti
> yeah, python-pypandoc and ganeti are known to be broken. Ganeti does
> not support GHC 9.2 (and there don’t seem to be any patches fixing
> this anywhere) and pypandoc fails even more tests when upgrading it to
> v1.10 – not sure what to do.

About ganeti, does it make sense to build it with a transformation and
use an older GHC version (that it is still available).‘

About python-pypandoc, if there is no solution for fixing it and it will
be broken, I propose to remove it.  WDYT?

Cheers,
simon